Package pywbem :: Module cim_constants |
[frames] | no frames]

# Module cim_constants

source code

Useful CIM constants.

Variables
| CIM_ERR_FAILED = `1`
| CIM_ERR_ACCESS_DENIED = `2`
| CIM_ERR_INVALID_NAMESPACE = `3`
| CIM_ERR_INVALID_PARAMETER = `4`
| CIM_ERR_INVALID_CLASS = `5`
| CIM_ERR_NOT_FOUND = `6`
| CIM_ERR_NOT_SUPPORTED = `7`
| CIM_ERR_CLASS_HAS_CHILDREN = `8`
| CIM_ERR_CLASS_HAS_INSTANCES = `9`
| CIM_ERR_INVALID_SUPERCLASS = `10`
| CIM_ERR_ALREADY_EXISTS = `11`
| CIM_ERR_NO_SUCH_PROPERTY = `12`
| CIM_ERR_TYPE_MISMATCH = `13`
| CIM_ERR_QUERY_LANGUAGE_NOT_SUPPORTED = `14`
| CIM_ERR_INVALID_QUERY = `15`
| CIM_ERR_METHOD_NOT_AVAILABLE = `16`
| CIM_ERR_METHOD_NOT_FOUND = `17`
| PROVIDERTYPE_CLASS = `1`
| PROVIDERTYPE_INSTANCE = `2`
| PROVIDERTYPE_ASSOCIATION = `3`
| PROVIDERTYPE_INDICATION = `4`
| PROVIDERTYPE_METHOD = `5`
| PROVIDERTYPE_CONSUMER = `6`
| PROVIDERTYPE_QUERY = `7`